## cgmail 0.4.1

=== Makefile ===
PYTHON_FILES = $(shell find src -name \*.py)
PYC_FILES = $(shell find src -name \*.pyc)
BAK1 = $(shell find src -name \*.bak)
BAK2 = $(shell find src -name \*.\*~)
BACKUP_FILES = $(BAK1) $(BAK2)


all: clean
	py_compilefiles -f $(PYTHON_FILES)
clean:
	rm -rf debian/cgmail
	rm -f $(PYC_FILES)
	rm -f $(BACKUP_FILES)

install:
	install -d $(DESTDIR)/usr/share/cgmail/
	install -d $(DESTDIR)/usr/share/pixmaps/
	install -d $(DESTDIR)/usr/share/applications/
	cp -a data glade po $(DESTDIR)/usr/share/cgmail
	install -d $(DESTDIR)/usr/share/cgmail/service
	install -d $(DESTDIR)/usr/share/cgmail/lib
	install -d $(DESTDIR)/usr/share/cgmail/manager
	cp src/service/*.py  $(DESTDIR)/usr/share/cgmail/service
	cp src/service/*.pyc  $(DESTDIR)/usr/share/cgmail/service
	cp src/manager/*.py  $(DESTDIR)/usr/share/cgmail/manager
	cp src/manager/*.pyc  $(DESTDIR)/usr/share/cgmail/manager
	cp src/lib/*.py  $(DESTDIR)/usr/share/cgmail/lib
	cp src/lib/*.pyc  $(DESTDIR)/usr/share/cgmail/lib
	cp src/*.py  $(DESTDIR)/usr/share/cgmail/
	cp src/*.pyc  $(DESTDIR)/usr/share/cgmail/
	install -m 755 idir/cgmail $(DESTDIR)/usr/bin/cgmail
	install -m 755 idir/cgmailservice $(DESTDIR)/usr/bin/cgmailservice
	install -m 644 data/cgmail.svg $(DESTDIR)/usr/share/pixmaps/cgmail.svg
	install -m 644 idir/cgmail.desktop $(DESTDIR)/usr/share/applications/cgmail.desktop
	install -m 644 idir/cgmail.schemas $(DESTDIR)/usr/share/gconf/schemas/cgmail.schemas

=== po/Makefile ===
NAME = cgmail
LANGS = it es fr de zh_TW
LANGS_PO:=$(foreach LANG, ${LANGS}, ${LANG}.po)
LANGS_MO:=$(foreach LANG, ${LANGS}, ${LANG}.mo)
MO_PATHS:=$(foreach lang, ${LANGS}, ${lang}/LC_MESSAGES/${NAME}.mo)
PYTHON_FILES = $(shell find ../src -name \*.py)
GLADE_FILES = $(shell find ../glade -name \*.glade)

all: cgmail.pot ${LANGS_PO} catalogs

POTFILES.in:
	-rm $@
	echo '[encoding: UTF-8]' >> $@
	cd .. && find glade -name \*.glade | sort >> po/$@
	cd .. && find src -name \*.py | sort >> po/$@

cgmail.pot: POTFILES.in ${PYTHON_FILES} ${GLADE_FILES}
	intltool-update --pot --gettext-package=${NAME}

%.po: cgmail.pot
	intltool-update --dist --gettext-package=${NAME} $*

catalogs: ${LANGS_MO}
%.mo: %.po
	mkdir -p $*/LC_MESSAGES/
	msgfmt $< -o $*/LC_MESSAGES/${NAME}.mo

check: $(addprefix check-, ${LANGS})

check-%: %.po
	msgfmt -c $<

clean-mo:
	rm ${MO_PATHS}


clean: clean-mo
	rm POTFILES.in

.PHONY: check check-% clean

## cgmail 0.6

=== wscript ===
#! /usr/bin/env python
# encoding: utf-8

import os
import sys
import Configure
import Utils

# the following two variables are used by the target "waf dist"
APPNAME="cgmail"
VERSION = "0.6"

VERSION_MAJOR_MINOR = ".".join(VERSION.split(".")[0:2])

# these variables are mandatory ('/' are converted automatically)
srcdir = '.'
blddir = 'build'

def dist():
	"""Make the dist tarball and print its SHA-1 """
	import Scripting
	Scripting.g_gz = "gz"
	Scripting.dist(APPNAME, VERSION)

def set_options(opt):
	# options for disabling pyc or pyo compilation
	opt.tool_options("python")
	opt.tool_options("misc")
	opt.tool_options("gnu_dirs")

def configure(conf):
	conf.check_tool("python")
	conf.check_python_version((2,5,0))
	conf.check_tool("misc gnu_dirs")

	# BUG: intltool requires gcc
	conf.check_tool("gcc intltool")

	python_modules = """
		gio
		gtk
		gnomekeyring
		dbus
		feedparser
		gnome
		pynotify
		xdg
		webkit
		"""
	for module in python_modules.split():
		conf.check_python_module(module)

	Utils.pprint("NORMAL", "Checking optional dependencies:")

	#~ opt_programs = ["dbus-send"]
	#~ for prog in opt_programs:
		#~ prog_path = conf.find_program(prog)

	#~ try:
		#~ conf.check_python_module("<module name>")
	#~ except Configure.ConfigurationError, e:
		#~ Utils.pprint("RED", "Python module <module name> is recommended")
		#~ Utils.pprint("RED", "Please see README")
		
	opt_pymodules = "gst".split()
	for mod in opt_pymodules:
		try:
			conf.check_python_module(mod)
		except Configure.ConfigurationError, e:
			Utils.pprint("YELLOW", "python module %s is recommended" % mod)

	conf.env["VERSION"] = VERSION
	conf.env["PYC"] = 0
	conf.env["PYO"] = 0

	# Check sys.path
	Utils.pprint("NORMAL", "Installing python modules into: %(PYTHONDIR)s" % conf.env)
	pipe = os.popen("""%(PYTHON)s -c "import sys; print '%(PYTHONDIR)s' in sys.path" """ % conf.env)
	if "False" in pipe.read():
		Utils.pprint("YELLOW", "Please add %(PYTHONDIR)s to your sys.path!" % conf.env)

def new_module(bld, name, sources=None):
	if not sources: sources = name
	obj = bld.new_task_gen("py")
	obj.find_sources_in_dirs(sources)
	obj.install_path = "${PYTHONDIR}/%s" % name
	return obj


def build(bld):

	# modules
	new_module(bld, "cGmail", "cGmail")
	new_module(bld, "cGmail/checkers", "cGmail/checkers")
	new_module(bld, "cGmail/lib", "cGmail/lib")
	new_module(bld, "cGmail/manager", "cGmail/manager")
	new_module(bld, "cGmail/service", "cGmail/service")
	
	bld.install_files("${BINDIR}", "cgmail", chmod=0775)
	bld.install_files("${BINDIR}", "cgmailservice", chmod=0775)

	bld.add_subdirs("po data")


def intlupdate(util):
	"""Extract new strings for localization"""
	os.popen("intltool-extract --type=gettext/glade data/account_add_dialog.ui")
	os.popen("intltool-extract --type=gettext/glade data/accounts_treeview_popupmenu.ui")
	os.popen("intltool-extract --type=gettext/glade data/accounts_window.ui")
	os.popen("intltool-extract --type=gettext/glade data/authdialog.ui")
	os.popen("intltool-extract --type=gettext/glade data/junkfilter_dialog.ui")
	os.popen("intltool-extract --type=gettext/glade data/junkfilter_popupmenu.ui")
	os.popen("intltool-extract --type=gettext/glade data/preferences_dialog.ui")
	os.popen("intltool-extract --type=gettext/glade data/statusicon_popupmenu.ui")
	os.popen("intltool-extract --type=gettext/glade data/unreadmail_dialog.ui")
	os.chdir("po")
	for line in open("LINGUAS"):
		""" Run xgettext for all listed languages
		to extract translatable strings and merge with
		the old file """
		if line.startswith("#"):
			continue
		lang = line.strip()

		lang_file = "%s.po" % lang
		if not os.path.exists(lang_file):
			print "Creating %s" % lang_file
			os.popen("xgettext -D .. -f POTFILES.in --output=%s -F" % lang_file)
		print "Processing", lang
		os.popen("intltool-update %s" % lang)
	os.popen("intltool-update --pot")

def shutdown():
	pass

## cgmail 0.6.1

=== wscript ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 # the following two variables are used by the target "waf dist"
 APPNAME="cgmail"
-VERSION = "0.6"
+VERSION = "0.6.1"
 
 VERSION_MAJOR_MINOR = ".".join(VERSION.split(".")[0:2])
 
@@ -45,7 +45,7 @@
 		gnome
 		pynotify
 		xdg
-		webkit
+		wnck
 		"""
 	for module in python_modules.split():
 		conf.check_python_module(module)
@@ -112,7 +112,6 @@
 	os.popen("intltool-extract --type=gettext/glade data/junkfilter_popupmenu.ui")
 	os.popen("intltool-extract --type=gettext/glade data/preferences_dialog.ui")
 	os.popen("intltool-extract --type=gettext/glade data/statusicon_popupmenu.ui")
-	os.popen("intltool-extract --type=gettext/glade data/unreadmail_dialog.ui")
 	os.chdir("po")
 	for line in open("LINGUAS"):
 		""" Run xgettext for all listed languages
@@ -126,9 +125,11 @@
 		if not os.path.exists(lang_file):
 			print "Creating %s" % lang_file
 			os.popen("xgettext -D .. -f POTFILES.in --output=%s -F" % lang_file)
-		print "Processing", lang
-		os.popen("intltool-update %s" % lang)
-	os.popen("intltool-update --pot")
+			os.popen("intltool-update %s" % lang)
+		else:
+			print "Processing", lang
+			os.popen("intltool-update %s" % lang)
+			os.popen("msgfmt --check %s" % lang_file)
 
 def shutdown():
 	pass

## cgmail 0.6.2

=== wscript ===
#! /usr/bin/env python
# encoding: utf-8

import os
import sys
import Configure
import Options
import Utils
from Tools import gnome

# the following two variables are used by the target "waf dist"
APPNAME="cgmail"
VERSION = "0.6.2"

# these variables are mandatory ('/' are converted automatically)
srcdir = '.'
blddir = 'build'

def dist():
    """Make the dist tarball and print its SHA-1 """
    import Scripting
    Scripting.g_gz = "gz"
    Scripting.dist(APPNAME, VERSION)

def set_options(opt):
    # options for disabling pyc or pyo compilation
    opt.tool_options("python")
    opt.tool_options("misc")
    opt.tool_options("gnu_dirs")
    opt.add_option('--nopyo',action='store_false',default=False,help='Do not install optimised compiled .pyo files [default]',dest='pyo')
    opt.add_option('--pyo',action='store_true',default=False,help='Install optimised compiled .pyo files [Default:not install]',dest='pyo')
    opt.add_option('--no-runtime-deps',action='store_false',default=True,
        help='Do not check for any runtime dependencies',dest='check_deps')
    opt.add_option('--pythondir-install',action='store_true',default=False,
        help="Install modules as standard python modules [Default: Install into DATADIR]",
        dest='pythondir_install')

def configure(conf):
    conf.check_tool("python")
    conf.check_python_version((2,5,0))
    conf.check_tool("misc gnu_dirs")

    # BUG: intltool requires gcc
    conf.check_tool("gcc intltool")

    #conf.env["CGMAIL"] = Utils.subst_vars("${BINDIR}/cgmail", conf.env)
    conf.env["VERSION"] = VERSION

    if not Options.options.pythondir_install:
        conf.env["PYTHONDIR"] = Utils.subst_vars("${DATADIR}/cgmail", conf.env)
    Utils.pprint("NORMAL",
        "Installing python modules into: %(PYTHONDIR)s" % conf.env)

    if not Options.options.check_deps:
        return

    python_modules = """
        gio
        gtk
        gnomekeyring
        feedparser
        gnome
        pynotify
        xdg
        wnck
        """
    for module in python_modules.split():
        conf.check_python_module(module)

    Utils.pprint("NORMAL", "Checking optional dependencies:")

    opt_programs = {}
    opt_pymodules = {
            "gst": ""}

    for prog in opt_programs:
        prog_path = conf.find_program(prog, var=prog.replace("-", "_").upper())
        if not prog_path:
            Utils.pprint("YELLOW", "Optional, allows: %s" % opt_programs[prog])

    for mod in opt_pymodules:
        try:
            conf.check_python_module(mod)
        except Configure.ConfigurationError, e:
            Utils.pprint("YELLOW", "module %s is recommended, allows %s" % (
                mod, opt_pymodules[mod]))

def _new_package(bld, name):
    """Add module @name to sources to be installed,
    where the name is the full (relative) path to the package
    """
    obj = bld.new_task_gen("py")
    obj.find_sources_in_dirs(name)
    obj.install_path = "${PYTHONDIR}/%s" % name
    return obj

def _find_packages_in_directory(bld, name):
    """Go through directory @name and recursively add all
    Python packages with contents to the sources to be installed
    """
    for dirname, dirs, filenames in os.walk(name):
        if "__init__.py" in filenames:
            _new_package(bld, dirname)

def _dict_slice(D, keys):
	return dict((k,D[k]) for k in keys)

def post(ctx):
    #gnome.postinstall_schemas('cgmail')
    # disabled, has a bug or it's just me?
    gnome.postinstall_icons()

def build(bld):
    bld.add_post_fun(post)
    bld.env["VERSION"] = VERSION

    obj = bld.new_task_gen(
        source="cGmail/cgmail.py",
        install_path="${PYTHONDIR}")
    obj = bld.new_task_gen(
        source="cGmail/cgmailservice.py",
        install_path="${PYTHONDIR}")

    # modules
    _find_packages_in_directory(bld, "cGmail")

    binary_subst_file = "cgmail-run.sh"
    bin = bld.new_task_gen("subst",
        source = binary_subst_file,
        target = "cgmail",
        install_path = "${BINDIR}",
        chmod = 0755,
        dict = _dict_slice(bld.env, "PYTHON PYTHONDIR".split()))

    binary_subst_file = "cgmailservice-run.sh"
    bin = bld.new_task_gen("subst",
        source = binary_subst_file,
        target = "cgmailservice",
        install_path = "${BINDIR}",
        chmod = 0755,
        dict = _dict_slice(bld.env, "PYTHON PYTHONDIR".split()))

    bld.add_subdirs("po data")

def shutdown():
    pass

=== debian/changelog ===
cgmail (0.6.2-1) unstable; urgency=low

  * New upstream release.
  * Switch to formata 3.0 (quilt).
  * debian/patches/private_directory.patch:
    - Remove, use waf options to correctly install files.
  * debian/control:
    - Remove myself from uploaders.
    - Bump Standars-Version to 3.9.0, no changes required.
  * debian/rules:
    - Use waf options to correctly install files.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 15 Jul 2010 22:30:26 +0200

cgmail (0.6.1-2) unstable; urgency=low

  * Use internal copy of waf to build the package (Closes: #571706).
  * Update Andrea email address.
  * Remove DM-Upload-Allowed field.
  * Bump Standards-Version to 3.8.4, no changes required.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 27 Feb 2010 18:34:05 +0100

cgmail (0.6.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - removed python-webkit B-D / Depends, it's no more
      needed according to wscript.
    - homepage updated with a new value.
    - added python-wnck B-D / Depends, according to wscript
      requirements.
  * debian/copyright:
    - added a new upstream author plus missing copyright
      holders.
  * debian/rules:
    - fixed a typo, comon --> common.

 -- Andrea Veri <andrea.veri89@gmail.com>  Sat, 03 Oct 2009 12:03:34 +0200

cgmail (0.6-1) unstable; urgency=low

  [ Andrea Veri ]
  * New upstream release.
  * debian/patches:
    - 01_desktop_file.patch, removed, adopted upstream
    - 02_feedparser.patch, removed, adopted upstream
    - 03_BASE_DATA_PATH.patch, removed, adopted upstream
  * debian/rules:
    - upstream now uses waf, so I've added some dirty hacks
      to make it working together with cdbs.
    - removed DEB_PYTHON_INSTALL_ARGS_ALL, waf will install 
      everything on the right dirs without having this option.
    - python-distutils.mk include removed, it's no more needed
      with waf.
  * debian/control:
    - bumped Standards-version to 3.8.3
    - python moved from B-D to Build-Depends-Indep
    - python-setuptools and python-distutils-extra removed from the
      Build-Depends-Indep field, they are no more needed.
    - added a B-D on waf.
    - added DM-Upload-Allowed: field. I'll be a DM really soon.
    - added a B-D on intltool, now needed for the build to work.
    - added a B-D on python-gnome2, now needed for the build to work.
    - added a B-D on python-gnomekeyring, python-feedparser, python-dbus,
      python-gst0.10 and python-notify, now needed for the build to work.
    - added a Depends on python-notify, as far as notifications are now handled
      with this python module.
    - removed notification-daemon for the reason explained above here.
    - removed a Depends on python-glade2, it's no more needed now.
    - added a Depends on python-webkit, needed from cgmailservice to work
      properly with this new release.
    - added a B-D / Depends on python-xdg, as far as this module is needed
      for both the build and cgmail to work properly.

  [ Luca Falavigna ]
  * debian/control:
    - Update my e-mail address.
    - Build-depend on python-webkit.
    - Depend on python-gconf and python-gobject.
  * debian/copyright:
    - Adjust copyright informations for new upstream release.
  * debian/watch:
    - Adjust links to new download location.
  * debian/patches/private_directory.patch:
    - Adjust installation path to follow Python policy.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 27 Aug 2009 23:07:41 +0200

cgmail (0.5-2) unstable; urgency=low

  [ Luca Falavigna ]
  * debian/patches/03_BASE_DATA_PATH.patch:
    - Adjust BASE_DATA_PATH to follow Python policy (Closes: #537390).
  * debian/control:
    - Adjust dependencies to match current state of the package.
    - Adjust Vcs-* fields to match new branch location.
  * debian/rules:
    - Invoke dh_gconf in binary-install to register GConf schemas, this
      replaces manual editing of postinst/prerm maintainer scripts.
    - Pass /usr/share/cGmail to DEB_PYTHON_PRIVATE_MODULES_DIRS to let
      python-support know where private directory is located.
  * debian/postinst, debian/prerm:
    - Remove them, dh_gconf will register GConf schemas now.

  [ Andrea Veri ]
  * debian/control: added a dep on python-glade2, cgmail needs it for
    running well.

 -- Andrea Veri <andrea.veri89@gmail.com>  Mon, 20 Jul 2009 16:08:34 +0200

cgmail (0.5-1) unstable; urgency=low

  [ Andrea Veri ]
   * The "I'm back" release. (Closes: #515539)
   * New upstream release. (Closes: #461477)
     - New build system: Now using python setuptools and distutils-extra
     - New plugin like system: Each checker now is fully independent. Third
       party plugins could be implemented.
     - Labels support in Gmail: Gmail checker now support labels checking
     - Dropped awn support: awn notification support is dropped becouse
       unmaintained.
     - Pertinent actions: Only pertinent actions will be displayed on
       notification bubbles. No more "go to gmail account" for pop3 or imap
       accounts.
   * debian/rules: 
     - upstream now builds the package using python setuptools
       and distutils-extra, so converting the package to cdbs, which will be
       easier for me to maintain it.
     - Added an install target to remove feedparser.py, which is 
       reported as an embedded lib from lintian.
   * debian/control:
     - Added B-D on python setuptools, distutils-extra and cdbs
     - Changed my mail address.
     - Bumped debhelper to level 7
     - Bumped Standards-version to 3.8.2
     - Changed "Gnome" to "GNOME" and "dbus" to "D-Bus" into file
       description, so lintian will stop complaining about them.
     - Added Luca Falavigna as co-maintainer.
     - Added a dep on python-feedparser.    

  [ Luca Falavigna ]
  * debian/compat:
    - Bump compat level to 7.
  * debian/control:
    - Switch to python-support.
    - Remove python-all-dev, use python instead.
    - Move some dependencies to Build-Depends-Indep as per policy.


=== debian/control ===
Source: cgmail
Section: net
Priority: extra
Maintainer: Andrea Veri <and@debian.org>
Build-Depends: debhelper (>= 7), cdbs, intltool
Build-Depends-Indep: python-support (>= 0.90.0), python, python-gnome2, python-gnomekeyring, python-feedparser, python-dbus, python-gst0.10, python-notify, python-xdg, python-wnck
Homepage: http://launchpad.net/cgmail
Standards-Version: 3.9.0
XS-Python-Version: all
Vcs-Bzr: https://code.launchpad.net/~cgmail-packaging-team/cgmail/debian.source
Vcs-Browser: https://code.launchpad.net/~cgmail-packaging-team/cgmail/debian.source

Package: cgmail
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-gtk2 (>= 2.10), python-gnome2, python-gconf, python-gobject, python-dbus, python-gnomekeyring, python-gst0.10, python-feedparser, python-notify, python-xdg, python-wnck
Description: mail checker for the GNOME desktop
 This application intends to replace old mail checkers getting
 integrated correctly inside GNOME desktops. It requires D-Bus and
 notification-daemon support (org.freedesktop.Notifications service)
 for any kind of notifications and the GNOME keyring to store 
 user's credentials. gGmail will pop-up on the top right side of 
 your desktop and after providing every information requested for
 accessing each of your email accounts, it will start up sending 
 notifications when a new mail hits one of your mailboxes. This 
 package is similar to xbiff but has some more features like
 pop3 and GMail account's support.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk

DEB_COMPRESS_EXCLUDE := .py
DEB_INSTALL_CHANGELOGS_ALL += NEWS

WAF = ./waf --prefix=/usr --destdir=$(DEB_DESTDIR) --bindir=/usr/share/cgmail --nopyc --nopyo

common-configure-indep:: configure-stamp
configure-stamp:
	$(WAF) configure
	touch $@

common-build-indep:: build-stamp
build-stamp:
	$(WAF) build

common-install-indep::
	$(WAF) install

clean::
	rm -f build-stamp
	-$(WAF) distclean

binary-install/cgmail::
	dh_gconf -pcgmail
	dh_pysupport

=== debian/watch ===
version=3
https://launchpad.net/cgmail/+download http://launchpad.net/cgmail/.*/cgmail-([0-9\.]*)\.tar\.gz
